#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include <QProcess>

QT_BEGIN_NAMESPACE
namespace Ui {
class CTryReg;
}
QT_END_NAMESPACE

class CTryReg : public QWidget
{
    Q_OBJECT

public:
    CTryReg(QWidget *parent = nullptr);
    ~CTryReg();

private:
    void reg_search();
    void reg_match();
    void reg_iterator();
    bool append_his(const QString& da, const QString& db);
    void open_his();

private:
    QString his_path_{};
    QProcess process;

private:
    Ui::CTryReg *ui;
};
#endif // MAINWIDGET_H
